---
title: List
url: https://www.tines.com/docs/api/cases/fields/list/
updated: 2026-04-01T09:17:52+00:00
description: Retrieve a list of fields for a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Fields](https://www.tines.com/llm/docs/api/cases/fields.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/fields/list/)*

## Description

Retrieve a list of fields for a case.

## Request

HTTP Method: **GET**

| Parameter | Description                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                                                 |
| per_page  | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page      | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/fields \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object with the fields.

### Field description

| Parameter | Description                        |
| --------- | ---------------------------------- |
| case_id   | The case ID.                       |
| fields    | An array of fields on to the case. |

| Fields parameter | Description                                                                                        |
| ---------------- | -------------------------------------------------------------------------------------------------- |
| id               | The field ID.                                                                                      |
| value            | The value of the field.                                                                            |
| case_input       | An object containing the ID, name, key, validation_type, and validation_options of the case input. |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "fields": [
    {
      "id": 7508,
      "value": "high",
      "case_input": {
        "id": 1,
        "key": "priority",
        "name": "Priority",
        "validation_type": "options",
        "validation_options": {
          "options": ["low", "medium", "high", "critical"]
        }
      }
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v2/cases/42/fields?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
